View Issue Details

IDProjectCategoryView StatusLast Update
0003499Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToWA9PIE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003499: Complete the Callsign Lookup function for the UCSDB (Private) method
DescriptionSome fields or data are missing from the UCSDB (Private) callsign lookup method.

Once the UCSDB (Private) data is obtained for a given callsign, the following ALE fields should be populated from the data found as follows:
- COL_QSL_VIA should contain the data in the "QSL Manager" tag in the UCSDB (Public)
- COL_QSO_IOTA should contain the data in the "IOTA" tag in the UCSDB (Public)
- COL_QSO_DXCC should contain the data in the "DXCC" tag in the UCSDB (Public)
- COL_COUNTRY should contain the data in the "Country" tag in the UCSDB (Public)
- COL_CONT should contain the Continent name found in the Country List for the "DXCC" tag found in the response
- COL_HRDCOUNTRYNO should contain the HRD Country number found in the Country List for the "DXCC" tag found in the response

None of these fields are being populated.

I probably missed these last two items in the field mapping spec
Steps To ReproduceI repro this in the 6.7.0.232 beta build (6.7.0.234 can't be tested because it crashes 0003484).

- Open up Logbook
- Open the Country list in Logbook by Countries > Manager
- Click on "Unique Calls" on the left of the Countries Manager pane
- Click "Private"
- Click "Add"
- Enter "VK4/WA9PIE" into the Callsign field
- Change the IOTA to "OC-001"
- Enter "LOTW" into the QSL Mgr field.
- Click "OK"
- Click "OK"
- Return to the open logbook tab
- Setup Callsign Lookup by Tools > Configure > Callsign Lookup and make sure that Country List is the only Enabled method
- Click "Ok"
- Open an ALE
- Enter the callsign "VK4/WA9PIE" (without the quotes)
- Press the "Lookup" button or hit tab

Result: These fields are populated in the respective fields in the ALE
Additional InformationThe correct result should be:

- COL_QSL_VIA should contain "LOTW" (without Quotes)
- COL_QSO_IOTA should contain "OC-001" (without Quotes)
- COL_QSO_DXCC should contain "150" (without Quotes)
- COL_COUNTRY should contain "Australia" (without Quotes)
- COL_CONT should contain "OC" (without Quotes)
- COL_HRDCOUNTRYNO should contain "150" (without Quotes)
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003464 closedWA9PIE Some fields missing from QRZ.com call sign lookup 
child of 0003001 closedWA9PIE Callsign lookup function does not appear to be working as designed 

Activities

K7ZCZ

2019-10-16 08:58

administrator   ~0008831

Continent and HRDCountryNumber are added to the UCSDB Private lookup in this checkin.

I've done some tweaks to handle prefixed call signs, but the spec seems mute on that subject. Maybe the process is that our test plan identifying that behaviour?

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5212

WA9PIE

2019-10-21 10:33

administrator   ~0008894

I validated this one.

Issue History

Date Modified Username Field Change
2019-10-13 09:15 WA9PIE New Issue
2019-10-13 09:15 WA9PIE Status new => assigned
2019-10-13 09:15 WA9PIE Assigned To => K7ZCZ
2019-10-13 09:15 WA9PIE Issue generated from: 0003498
2019-10-13 09:15 WA9PIE Relationship added related to 0003001
2019-10-13 09:15 WA9PIE Relationship deleted related to 0003001
2019-10-13 09:15 WA9PIE Relationship added child of 0003001
2019-10-13 09:15 WA9PIE Relationship added related to 0003464
2019-10-13 16:03 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-10-13 16:22 K7ZCZ Assigned To WA9PIE => K7ZCZ
2019-10-16 08:58 K7ZCZ Status assigned => resolved
2019-10-16 08:58 K7ZCZ Resolution open => fixed
2019-10-16 08:58 K7ZCZ Note Added: 0008831
2019-10-21 10:33 WA9PIE Status resolved => closed
2019-10-21 10:33 WA9PIE Fixed in Version => 6.7.0.235
2019-10-21 10:33 WA9PIE Testing Not Started => Beta Successful
2019-10-21 10:33 WA9PIE Note Added: 0008894
2019-10-21 10:40 WA9PIE Assigned To K7ZCZ => WA9PIE
2019-11-08 02:12 WA9PIE Fixed in Version 6.7.0.235 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe